# USVLander

## 项目介绍
USVLander 是一个完全基于计算机视觉的无人机控制算法，目前针对 DJI Tello 无人机设计，能够实现视觉自主降落至无人船。该项目基于 Python 编程语言，并集成了 YOLO 实时目标检测系统和 OpenCV 计算机视觉库，以提供精确的导航和控制。

## 安装说明
要安装 USVLander，您需要确保您的系统中已安装 Python 3.10 或更高版本（开发过程基于 Python3.10.8 ）。此外，您还需要安装 YOLO 和 OpenCV 库。可以通过以下命令安装所需的依赖项：

```bash
pip install -r requirements.txt
```

## 如何使用
在安装所有必要的依赖项后，您可以通过以下步骤使用 USVLander 控制算法：

1. 将无人机与您的计算机连接。
2. 打开终端并导航到 USVLander 项目目录。
3. 运行主控制脚本：

```bash
python main.py
```

## License
USVLander 根据 MIT 许可证发布。这意味着您可以自由地使用、修改和分发该软件，但您必须包含原始作者的版权声明和许可声明。

请注意，此 README 是一个基本模板，您可能需要根据项目的具体情况进行调整。确保在发布之前，您已经完全测试了所有的功能，并且代码的文档是最新的。祝您的项目成功！
![alt text](docs\Draft_process.png)

